<?php

namespace App\Entities\Part;

use App\Models\Part\IPModel;

class IPEntity extends PartType3Entity
{
    const PK = IPModel::PK;
    const TITLE = IPModel::TITLE;

    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
        $this->nullableFields = [
            ...$this->nullableFields,
            'old_clientinfo_uid',
            'clientinfo_uid',
            'serviceinfo_uid',
            'serverinfo_uid',
            'content',
        ];
    }
    public function getLineInfoUID(): int
    {
        return $this->lineinfo_uid;
    }
    public function getOldClientInfoUID(): ?int
    {
        return $this->old_clientinfo_uid;
    }
    final public function getClientInfoUid(): ?int
    {
        return $this->clientinfo_uid;
    }
    final public function getServiceInfoUid(): ?int
    {
        return $this->serviceinfo_uid;
    }
    final public function getServerInfoUid(): ?int
    {
        return $this->serverinfo_uid;
    }
    //기본기능    
    public function getIP(): string
    {
        return $this->ip;
    }
    public function getContent(): ?string
    {
        return $this->content;
    }
}
